Search transaction by its UUID
GET/api/transaction/:transactionUuid/status
This endpoint has been deprecated and may be replaced or removed in future versions of the API.
Returns the found transaction data.
Request
Path Parameters
Transaction UUID
Responses
- 200
- 400
- 401
- 403
- 404
Successful operation
- application/json
- Schema
- Example (from schema)
Schema
Reference of the QrCode for conciliation
Possible values: [pending, paid, paid_by_third_party, failed, awaiting, payment rejected, paid_without_qrcode, refund_received]
Transaction status
Transaction status reason
Value of the transaction
Possible values: [transaction, withdraw, refund]
Transaction type
Merchant's ID for conciliation
Document of the person who paid or received (CPF or CNPJ)
Costumer's name
Costumer's email
Transaction's pix end_to_end_id
Date when the transaction was confirmed as paid
Date when the transaction was created
Date when the transaction was last updated
{
"transaction_uuid": "7da0c9af-215e-4625-b484-b8cfc87aaa09",
"status": "pending",
"status_reason": "Payment rejected by client's SPI",
"value": "10.00",
"transaction_type": "withdraw",
"merchant_id": "123456",
"cpf_cnpj": "80064671020",
"costumer_name": "Johnny Georgios",
"costumer_email": "johnny@gmail.com",
"end_to_end_id": "E0000000020230613111111aaaaa1111",
"payment_date": "2023-06-13 03:00:00.000",
"created_at": "2023-06-13T13:42:31.000000Z",
"updated_at": "2023-06-13T13:42:31.000000Z"
}
Bad Request
Unauthenticated
- application/json
- Schema
- Example (from schema)
Schema
Response 401
{
"message": "Invalid x-api-key"
}
Forbidden
Not Found